<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.chart.AreaChart?>
<?import javafx.scene.chart.CategoryAxis?>
<?import javafx.scene.chart.NumberAxis?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.Slider?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TabPane?>
<?import javafx.scene.control.TreeView?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.shape.Rectangle?>
<?import javafx.scene.text.Text?>

<AnchorPane prefHeight="532.0" prefWidth="566.0" xmlns="http://javafx.com/javafx/8.0.172-ea" xmlns:fx="http://javafx.com/fxml/1" fx:controller="NetWave.Gui">
   <children>
      <AnchorPane layoutX="27.0" layoutY="14.0" prefHeight="76.0" prefWidth="512.0">
         <children>
            <Rectangle arcHeight="5.0" arcWidth="5.0" fill="WHITE" height="76.0" stroke="BLACK" strokeType="INSIDE" width="512.0" />
            <Slider id="seekBar" layoutX="93.0" layoutY="28.0" prefHeight="34.0" prefWidth="256.0" />
            <Button id="playBut" layoutX="15.0" layoutY="31.0" mnemonicParsing="false" text="&gt;||" />
            <Text id="playingBanner" layoutX="11.0" layoutY="19.0" strokeType="OUTSIDE" strokeWidth="0.0" text="Now Playing: " wrappingWidth="456.00000619888306" />
            <Button id="stopBut" layoutX="57.0" layoutY="31.0" mnemonicParsing="false" text="S" />
            <Text id="time" layoutX="349.0" layoutY="50.0" strokeType="OUTSIDE" strokeWidth="0.0" text="0:00/0:00" />
            <Text id="streamStatus" layoutX="417.0" layoutY="26.0" strokeType="OUTSIDE" strokeWidth="0.0" text="Not Streaming" textAlignment="CENTER" />
            <Button id="streamBut" layoutX="408.0" layoutY="40.0" mnemonicParsing="false" text="Start Streaming" />
         </children>
      </AnchorPane>
      <TabPane layoutX="27.0" layoutY="90.0" prefHeight="257.0" prefWidth="256.0" side="LEFT" tabClosingPolicy="UNAVAILABLE">
        <tabs>
          <Tab text="Local Songs">
            <content>
              <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="336.0" prefWidth="227.0">
                     <children>
                        <ListView id="playList" prefHeight="257.0" prefWidth="227.0" />
                     </children></AnchorPane>
            </content>
          </Tab>
          <Tab text="Peer Songs">
            <content>
              <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="210.0" prefWidth="227.0">
                     <children>
                        <TreeView id="peerSongList" prefHeight="257.0" prefWidth="227.0" />
                     </children>
                  </AnchorPane>
            </content>
          </Tab>
        </tabs>
      </TabPane>
      <AreaChart id="visualizer" layoutX="23.0" layoutY="355.0" prefHeight="182.0" prefWidth="521.0">
        <xAxis>
          <CategoryAxis side="BOTTOM" />
        </xAxis>
        <yAxis>
          <NumberAxis side="LEFT" />
        </yAxis>
      </AreaChart>
      <Rectangle arcHeight="5.0" arcWidth="5.0" fill="WHITE" height="207.0" layoutX="296.0" layoutY="139.0" stroke="BLACK" strokeType="INSIDE" width="245.0" />
      <Text layoutX="390.0" layoutY="247.0" strokeType="OUTSIDE" strokeWidth="0.0" text="[No Cover]" />
      <ImageView id="cover" cache="true" fitHeight="182.0" fitWidth="193.0" layoutX="322.0" layoutY="152.0" preserveRatio="true" />
      <Button id="add" layoutX="382.0" layoutY="101.0" mnemonicParsing="false" text="Add Songs" />
   </children>
</AnchorPane>
